package com.ym.mec.collectfee.service;

import com.ym.mec.collectfee.common.service.BaseService;
import com.ym.mec.collectfee.entity.Order;

import javax.xml.bind.JAXBException;
import java.util.List;

public interface OrderService extends BaseService<Integer, Order> {

    /**
     * 根据学生编号，获取订单列表
     * @param userId
     * @return
     */
    List<Order> getOrderByUserId(Integer userId);

    /**
     * 支付成功后推送订单列表
     * @param batchNum 批次号
     * @return
     */
    String pushOrder(String batchNum);

    /**
     * 查询某声部报名成功人数
     * @param poName 乐团名称
     * @param voicePort 声部名称
     * @return
     */
    int countOrder(String poName,String voicePort);

    /**
     * 根据系统订单号获取订单
     * @param orderNo 系统订单号
     * @return
     */
    Order getOrderByOrderNo(String orderNo);


    /**
     * 根据乐团编号获取乐团信息
     * @param schoolId
     * @return
     */
    Object getSchoolDetail(Integer schoolId,Integer clazzId);


    /**
     * 获取支付中和成功的订单数
     * @return
     */
    int getPayOrderNums();

    /**
     * 获取支付中的订单
     * @return
     */
    List<Order> findPayingOrders();
}